[flake8]
doctests = True
enable-extensions = G
max-try-body-length = 6
max-local-variables = 10
max-line-length = 100
# Black-compatible flake8 configuration
extend-ignore = E203,RST299,RST399,RST499,RST219

# Flake plugins:
inline-quotes = double
no-accept-encodings = True

exclude =
    .venv
    venv
    tests
    migrations
    how_to_django/settings
    how_to_django/wsgi.py

[mypy]
exclude = venv

follow_imports=silent
ignore_missing_imports = True

plugins = mypy_django_plugin.main

[mypy.plugins.django-stubs]
django_settings_module = how_to_django.settings

[mypy-apps.*.migrations.*]
ignore_errors = True

[isort]
multi_line_output = 3
include_trailing_comma = true
line_length = 100
# Black-compatible isort configuration
force_grid_wrap = 0
use_parentheses = True
skip_glob = */migrations/*
virtual_env = venv
old_finders = True
